# Changelog

## 2025-06-26 - 1.1.1 - fix(package.json)
Add packageManager field to package.json for pnpm configuration

- Added "packageManager": "pnpm@10.11.0+sha512.6540583f41cc5f628eb3d9773ecee802f4f9ef9923cc45b69890fb47991d4b092964694ec3a4f738a420c918a333062c8b925d312f42e4f0c263eb603551f977" to package.json

## 2025-06-26 - 1.1.0 - feat(Smartchok)
Migrate to chokidar 4.x with picomatch glob support, update documentation and tests

- Removed deprecated @tempfix/watcher and added chokidar and picomatch as dependencies in package.json
- Updated Smartchok class to extract base paths and apply custom glob filtering using picomatch
- Revised readme and technical hints to reflect migration to chokidar 4.x and clarify glob pattern support
- Adjusted tests and commit info to align with the updated code structure

## 2024-05-29 – 1.0.34 – general  
This release improves the project description.  
- update description

## 2024-05-06 – 1.0.33 – core  
This release includes a mix of bug fixes and configuration updates.  
- fix(core): update  
- update tsconfig  
- update npmextra.json: githost (recorded multiple times)

## 2024-02-29 – 1.0.32 to 1.0.28 – core fixes  
Releases 1.0.32 through 1.0.28 were dedicated to routine core fixes.  
(This range covers versions that only included “fix(core): update” changes.)

## 2024-01-28 – 1.0.27 – core  
This release not only fixed core issues but also adjusted the organization scheme.  
- fix(core): update  
- switch to new org scheme (recorded twice)

## 2021-12-01 – 1.0.26 to 1.0.14 – core fixes  
Releases 1.0.26 through 1.0.14 were devoted to routine core fixes.  
(No additional details beyond the core update were recorded.)

## 2018-02-28 – 1.0.13 to 1.0.11 – ci updates  
Releases 1.0.13 through 1.0.11 focused on updating the continuous integration configuration.  
- update ci

## 2017-06-30 – 1.0.10 – general  
This release delivered several improvements beyond a simple version bump.  
- fix Promise issues  
- update test  
- update

## 2017-06-30 – 1.0.9 – general  
This release addressed module loading and code hygiene.  
- fix loading of rxjs  
- clean up code

## 2017-06-30 – 1.0.8 – general  
A targeted update to align output with expectations.  
- update to wirj like expected

## 2017-04-09 – 1.0.7 – ci  
An update to the continuous integration configuration.  
- update ci

## 2017-04-09 – 1.0.6 – npm  
This release updated extra npm configuration.  
- update npmextra.json

## 2017-02-15 – 1.0.5 – general  
Standardization work was undertaken with new organizational practices.  
- update to new gitzone standard

## 2016-11-18 – 1.0.4 – general  
This release refreshed dependency settings.  
- update dependencies

## 2016-11-18 – 1.0.3 – general  
Readability and developer guidance were improved.  
- improve README

## 2016-11-18 – 1.0.2 – general  
Minor documentation and CI configuration enhancements were added.  
- add README  
- Update .gitlab-ci.yml

## 2016-09-22 – 1.0.1 – general  
A fix was applied to ensure the process exits correctly.  
- fix process not exiting problem

## 2016-09-22 – 1.0.0 – general  
The project’s initial setup was established along with CI configuration.  
- add gitlab-ci  
- initial